Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.replay.inetsocketaddress
Class ISASerializer

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.replay.inetsocketaddress.ISASerializer

All Implemented Interfaces:
  IdentifierSerializer<java.net.InetSocketAddress>

    public class ISASerializer

extends java.lang.Object
implements IdentifierSerializer<java.net.InetSocketAddress>

Constructor Summary
`ISASerializer()`

Method Summary
`java.net.InetSocketAddress` | `deserialize(InputBuffer buf)`
`java.nio.ByteBuffer` | `serialize(java.net.InetSocketAddress i)`
`void` | `serialize(java.net.InetSocketAddress i, OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISASerializer

    public ISASerializer()

Method Detail

### serialize

    public java.nio.ByteBuffer serialize(java.net.InetSocketAddress i)

  Specified by:
    `serialize` in interface `IdentifierSerializer<java.net.InetSocketAddress>`

### deserialize

    public java.net.InetSocketAddress deserialize(InputBuffer buf)
                                           throws java.io.IOException

  Specified by:
    `deserialize` in interface `IdentifierSerializer<java.net.InetSocketAddress>`
  Throws:
    `java.io.IOException`

### serialize

    public void serialize(java.net.InetSocketAddress i,
                          OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `IdentifierSerializer<java.net.InetSocketAddress>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.